Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona Software > Software


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

Actualizar Kernel en Tumbleweed
  #1  
Antiguo 10-ene-2012, 22:22
Avatar de Takpe
Takpe Takpe está desconectado
Aforado
 
Fecha de Ingreso: 13-febrero-2010
Ubicación: Barcelona, Catalunya
Versión: Tumbleweed KDE
Mensajes: 94
Agradecimientos: 14
Agradecido 11 Veces en 9 Mensajes
Poder de Credibilidad: 9
Takpe está en el buen camino
Actualizar Kernel en Tumbleweed

Al actualizar al nuevo Kernel-desktop con Zypper este entra en un bucle de dependencias que no se como solucionar:

Si hago un zypper dup después de actualizar al nuevo kernel me propone hacer downgrade de kernel-desktop y con zypper up me dice que hay dos actualizacione que no puede instalar: kernel-default y kernel-desktop-base.

¿Alguien sabe como puedo dejar esto limpio?

Gracias
Responder Citando
  #2  
Antiguo 11-ene-2012, 00:49
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.232
Agradecimientos: 22
Agradecido 301 Veces en 258 Mensajes
Poder de Credibilidad: 15
XisEme está en el buen camino
No he actualizado el kernel (no aún )

Yast me "incordia" por la versión virtualbox-guest-kmp que me fuerza a instalar el kernel-desktop-base 3.1
# zypper up
Cita:
Las siguientes actualizaciones NO serán instaladas:
gstreamer-0_10-plugin-esd k3b k3b-lang kernel-default-devel kernel-desktop kernel-desktop-devel kernel-devel kernel-firmware kernel-source kernel-syms
kernel-xen-devel libreoffice-branding-openSUSE ......

No hay nada que hacer.
# zypper dup
Cita:
Los siguientes paquetes NUEVOS van a ser instalados:
freefont gmplayer libxine2-codecs projectM

Los siguientes paquetes van a ser actualizados:
gstreamer-0_10-plugin-esd kernel-default-devel kernel-desktop-devel kernel-devel kernel-firmware kernel-source kernel-syms kernel-xen-devel

Los siguientes paquetes van a ser desactualizados:
libopencv2_3 pdftk

Los siguientes paquetes van a cambiar de proveedor:
gstreamer-0_10-plugin-esd openSUSE -> http://packman.links2linux.de
kernel-default-devel openSUSE -> obs://build.opensuse.org/openSUSE:Tumbleweed
kernel-desktop-devel openSUSE -> obs://build.opensuse.org/openSUSE:Tumbleweed
kernel-devel openSUSE -> obs://build.opensuse.org/openSUSE:Tumbleweed
kernel-firmware openSUSE -> obs://build.opensuse.org/openSUSE:Tumbleweed
kernel-source openSUSE -> obs://build.opensuse.org/openSUSE:Tumbleweed
kernel-syms openSUSE -> obs://build.opensuse.org/openSUSE:Tumbleweed
kernel-xen-devel openSUSE -> obs://build.opensuse.org/openSUSE:Tumbleweed
libopencv2_3 http://packman.links2linux.de -> openSUSE
pdftk obs://build.opensuse.org/Publishing -> openSUSE


8 paquetes a actualizar, 2 a desactualizar, 4 nuevos, 10 a cambiar de proveedor.
Tamaño total a descargar: 93,8 MiB. Después de la operación, se liberarán 1,0 MiB.
¿Desea continuar? [s/n/?] (s): n
Por si ayuda, así tengo los repositorios
Cita:
| Activado | Actualizar | Prioridad | --------------------
| Si | Si | 75 | Packman_Tumbleweed
| Si | Si | 77 | KDEExtra_Tumbleweed
| Si | Si | 85 | LibreOffice_Tumbleweed
| Si | Si | 90 | openSUSE_Tumbleweed
| Si | Si | 99 | openSUSE-Current_oss
| Si | Si | 99 | openSUSE-current_actualizacions
| Si | Si | 99 | openSUSE-current_non-ss
| Si | Si | 99 | Ati-Non-oficiais-
| No | Si | 99 | Publishing-pdfjam_12.1
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
  #3  
Antiguo 11-ene-2012, 13:33
Avatar de Takpe
Takpe Takpe está desconectado
Aforado
 
Fecha de Ingreso: 13-febrero-2010
Ubicación: Barcelona, Catalunya
Versión: Tumbleweed KDE
Mensajes: 94
Agradecimientos: 14
Agradecido 11 Veces en 9 Mensajes
Poder de Credibilidad: 9
Takpe está en el buen camino
Cita:
Iniciado por XisEme Ver Mensaje
Yast me "incordia" por la versión virtualbox-guest-kmp que me fuerza a instalar el kernel-desktop-base 3.1
Yo lo resolví así, instalando el kernel-desktop-base 3.1 y ahora es cuando me encuentro con el "bucle" este.
Responder Citando
  #4  
Antiguo 11-ene-2012, 14:37
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.232
Agradecimientos: 22
Agradecido 301 Veces en 258 Mensajes
Poder de Credibilidad: 15
XisEme está en el buen camino
Ya he probado (vuelta a pecar de versionitis)

Como la cosa viene por el VBox ...
-Lo he desinstalado
-zypper dup
-comprobado que todos los "kernel" son 3.2
-añadido este repositorio
http://download.opensuse.org/reposit...SE_Tumbleweed/
y reinstalado VBox desde el.

Después de reiniciar mis máquinas virtuales seguían ahí
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a XisEme Por Este Mensaje:
Takpe (11-ene-2012)
  #5  
Antiguo 30-ene-2012, 10:15
Avatar de sieg84
sieg84 sieg84 está desconectado
Miembro Junior
 
Fecha de Ingreso: 18-diciembre-2009
Ubicación: México
Versión: Tumbleweed
Mensajes: 478
Agradecimientos: 38
Agradecido 91 Veces en 80 Mensajes
Poder de Credibilidad: 9
sieg84 está en el buen camino
no uso tumbleweed [la versitionitis me la curo con sabayon] pero tal vez si actualizas solo el repo con zypper dup -r repo [no se si funcione con zypper up -r ]
Cita:
You can also specify repositories to be used using --repo option: zypper dup -r repo1 -r repo2 ....
http://en.opensuse.org/SDB:Zypper_us...bution_upgrade
o desde yast2 cambiar paquetes de sistema o proveedor, tengo entendido que con zypper dup actualiza todos los paquetes y eso te ocasiona esas faltas de dependencia [o el que pida hacer un downgrade de lugar de actualizar, para cumplir dependencias]
__________________
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
ahora, pc se cuelga aleatoriamente sic General OpenSUSE 6 29-dic-2010 16:40
Inestabilidad de opensuse 10.2 (ayuda) p3g4z0 General OpenSUSE 25 17-feb-2007 11:00
Problema con red en SuSE 9.0 Pro arandaedgar Internet, Redes y Wireless 6 16-oct-2006 03:52
Unable to handle kernel NULL pointer dereference at virtual address 00000000 pacorro.martine General OpenSUSE 1 01-ago-2006 19:44
Suse 10 se cuelga al arrancar el escritorio goordel Hardware 6 14-mar-2006 19:21



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 09:18.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba